% FieldTrip is a Matlab toolbox for MEG/EEG analysis that is being
% developed by the F.C. Donders Centre (FCDC) in Nijmegen, the
% Netherlands. The toolbox includes algorithms for simple and complex
% analysis of MEG and EEG data, such as time-frequency analysis,
% source reconstruction using dipoles and beamformers and non-parametric
% statistical testing. It supports various file formats, and new
% formats can be added easily
% 
% Copyrights (C) 2003-2007, F.C. Donders Centre, University Nijmegen, The Netherlands (FCDC)
% Copyrights (C) 2004-2007, Nijmegen Institute for Cognition and Information, The Netherlands (NICI)
% Copyrights (C) 2004-2005, Universittsklinikum Hamburg-Eppendorf, Germany (UKE)
% Copyrights (C) 2003-2004, Center for Sensory Motor Interaction, University Aalborg, Denmark (SMI)
%
% Most functions in this toolbox are licensed under the GNU General
% Public license (GPL), see the text file COPYING for details or look
% at http://www.gnu.org. Each file contains its own copyright statement.
%
% Unauthorised copying and distribution of functions that are not
% explicitely covered by the GPL is not allowed!
%
% The functions in this toolbox are copyrighted by their authors:
%   Robert Oostenveld, FCDC, SMI
%   Jan-Matthijs Schoffelen, FCDC
%   Pascal Fries, FCDC
%   Markus Bauer, FCDC
%   Ole Jensen, FCDC
%   Markus Siegel, FCDC, UKE
%   Jens Schwarzbach, FCDC
%   Eric Maris, FCDC
%   Ingrid Nieuwenhuis, FCDC
%
% The FieldTrip toolbox depend on functions from other toolboxes to
% do a large part of the actual work, such as reading data from binary
% files and forward and inverse modelling of the EEG/MEG. These
% low-level functions are contained in the private subdirectory. These
% other toolboxes on which the framework depends are copyrighted by
% their respective authors, see each individual matlab file for the
% details.

% $Log: Contents.m,v $
% Revision 1.1  2009/01/30 04:02:01  arno
% *** empty log message ***
%
% Revision 1.9  2007/05/30 06:53:29  roboos
% added Eric and Ingrid
%
% Revision 1.8  2006/07/04 16:14:24  roboos
% removed obsolete function list, clarified and cleaned up copyrights
%
% Revision 1.7  2005/06/02 12:23:20  roboos
% updated some of the descriptions, it is still not complete
%
% Revision 1.6  2004/02/04 14:00:13  roberto
% added Jens to authors and included his functions
%
% Revision 1.5  2004/01/27 10:20:08  roberto
% added combineplanar
%
% Revision 1.4  2004/01/21 16:09:03  roberto
% updated documentation
%
% Revision 1.3  2004/01/14 10:34:21  roberto
% added Markus Siegels functions and listed him as author
%
% Revision 1.2  2003/11/28 21:37:26  roberto
% updated help and function list
%
% Revision 1.1  2003/11/07 16:20:14  roberto
% updated contents with new functions
%

